@import '../themes/mixins.scss';
@import '../themes/guard-variables.scss';

.sisngatureTable
{
    border-collapse: collapse;
}

.signatureTable th
{
    padding-right: 30px;
    padding-bottom: 10px;
}

.signatureTable td
{
    text-align:left;
    max-width:150px;
    overflow:hidden;
    text-overflow:ellipsis;
}

.signatureTable tr
{
    margin-bottom:10px;
    border-bottom: 20px solid transparent;
}


/* Icons  */

.guard_signed
{
  margin-left: 5px !important;
  padding-top: 1px;
  padding-left: 3px;
}

.oxguard_icon_fa
{
  color: var(--mail-detail-lock);
  float:right;
}

.oxguard_icon_fa_error
{
  float:right;
  color:#a94442;
}

.signError
{
  color: red;
}


.oxguard_icon_fa_auto
{
  color:#77be20;
}

.oxguard_icon_fa_alert
{
  margin-left: 0.5em;
  padding-right:4px;
  float: right !important;
  display: inline;
  vertical-align: baseline;
  color:#a94442;
  font-size: 1.6em !important;
}

.oxguard_info {
  width: 100%;
  background-color: var(--background-5);
  margin-top: 5px;
  cursor: pointer;
  text-align: center;
  padding: 3px;
}


.pgp_superscript
{
    font-size: 0.5em !important;
    position: relative;
    top: -7px;
    left: -9px;
    width: 10px !important;
    height: 10px !important;
}

/* Key list and details */

.oxguard_pubkeylist {
  text-align:left;
  max-width:150px;
  overflow:hidden;
  text-overflow:ellipsis;
  white-space:nowrap;
}

#keyDetail {
  .expired {
    color: var(--expired-key)
  }
  .revoked {
    color: var(--revoked-key)
  }
}

#privKeyDetail {

  .info-line {
      padding: 0 16px;
      margin-bottom: 8px;
      border-bottom: 1px solid #dddddd;
      position: relative;
      display: flex;
      align-items: center;
      min-height: 32px;
      border-radius: 8px;
      flex: 1;
      text-align: center;

      & > * {
        flex: 1;
        text-align: center;
      }

      i.fa {
          padding-right: 16px;
          font-size: 18px;
      }
      &.stripes-red { @include stripes(var(--red-stripes-pri), var(--red-stripes-sec), var(--red-stripes-text)) }

  }

  .expired {
    [data-dt="expires"],
    [data-dd="expires"] {
      color: var(--key-expired);
    }
  }

  dt, dd {
    line-height: 24px;
  }
  dt {
    float: left;
    width: 124px;
    clear: left;
    text-align: left;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  dd {
    margin-bottom: 4px;
    margin-left: 140px;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}

.keytable {
    padding-top: 10px;
    overflow: auto;
    width: 100%;
    table { width: 100%; }

    th {
        text-align: center;
        padding-right: 10px;
    }

    td {
        text-align: center;
        padding: 10px;
    }
}

.keyoptions {
    border-top: 1px solid #e5e5e5;
    margin-top: 10px;
    &:empty { display: none; }
    .checkbox:last-child { margin-bottom: 0; }
}

#userkeytable {

  .revoked {
    text-decoration: line-through
  }

  .revoked {
    color: var(--revoked-key);
  }

  .expired {
    color: var(--expired-key);
  }

  [data-name="fingerprint"] {
    text-align: left;
    span { padding-left: 5px; }
  }

  .table-spacer {
    td { padding: 1px; }
    hr {
      border-top:1px solid #A59292;
      margin:5px;
    }
  }

}
.og_larger {
  font-size: larger;
  margin-top: 4px;
}

.oxguard_key_share
{
    color:grey;
}


/* Importing */

.importKey {
  width: 100%;
  background-color: var(--background-5);
  margin-top: 5px;
  cursor: pointer;
  text-align: center;
  padding: 3px;
}

.startInput {
  width: 50px;
  text-align: center;
  margin: 10px;
}

.startupTable .password_prompt {
  margin-left: 15px;
}

.startupTable .hint {
  padding-left: 60px;
}

.fingerPrint {
  float: right;
}

.modal.maxheight .modal-body {
  max-height: 400px;
}
